Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcInetAddress Class Reference

Inet address. More...

Inheritance diagram for XFcInetAddress:

[legend]
Collaboration diagram for XFcInetAddress:

[legend]
List of all members.

## Public Member Functions
virtual XFCIMPORT | ~XFcInetAddress ()
| Virtual destructor.
XFCIMPORT void | setPort (UINT16 aPort)
| Sets port.
XFCIMPORT UINT16 | getPort () const
| Gets port.
XFCIMPORT void | getHost (CHAR8 *aAddress, INT32 &aLen) const
| Returns address to given string.
XFCIMPORT void | setHost (const CHAR8 *aRemote)
| Gets remote host name.
XFCIMPORT void | setHost (UINT32 aRemote)
| Sets remote host address by ip in network byte order.
virtual XFCIMPORT void | setAddress (void *aAddress, INT32 aLen)
| Inherited from XFcAddress.
virtual XFCIMPORT void * | getAddress () const
| Inherited from XFcAddress.
virtual XFCIMPORT void * | getAddress ()
| Inherited from XFcAddress.
virtual XFCIMPORT INT | isSame (const XFcAddress &aAddress) const
| Test if address is same. Tests only address part of given address port is not tested.
## Static Public Member Functions
XFCIMPORT XFcInetAddress * | create ()
| Static constructor.
XFCIMPORT XFcInetAddress * | create (const XFcAddress &aAddress)
| Static copy constructor.
XFCIMPORT UINT32 | inetAddress (const CHAR8 *cp)
| Returns an inet address from a given string, e.g. "127.0.0.1".
XFCIMPORT INT | isSame (const XFcInetAddress &aAddrf, const XFcInetAddress &aAddrs)
| Tests addresses for equality.
## Protected Member Functions
| XFcInetAddress ()
| Protected constructor.
INT | init ()
| Initializes object.
INT | init (const XFcAddress &aAddress)
| Copy initializer.
## Protected Attributes
void * | mAddress
| Inet address.

## Detailed Description

Inet address.

Used to hold all necessary information that is needed to create an inet socket connection.

## Constructor & Destructor Documentation

XFcInetAddress::XFcInetAddress | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFCIMPORT XFcInetAddress::~XFcInetAddress | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

XFCIMPORT XFcInetAddress* XFcInetAddress::create | ( | const XFcAddress & | aAddress | ) | `[static]`

| Static copy constructor.

XFCIMPORT XFcInetAddress* XFcInetAddress::create | ( |  | ) | `[static]`

| Static constructor.

virtual XFCIMPORT void* XFcInetAddress::getAddress | ( |  | ) | `[virtual]`

| Inherited from XFcAddress. Implements XFcAddress.

virtual XFCIMPORT void* XFcInetAddress::getAddress | ( |  | ) | const`[virtual]`

| Inherited from XFcAddress. Implements XFcAddress.

XFCIMPORT void XFcInetAddress::getHost | ( | CHAR8 * | aAddress,
|  | INT32 & | aLen
| ) | const

  | Returns address to given string. Parameters:
  aAddress | pointer to buffer where address is returned.
  aLen | length of buffer, length set to returned buffer size.

XFCIMPORT UINT16 XFcInetAddress::getPort | ( |  | ) | const

| Gets port. Returns: port number, e.g. 20.

XFCIMPORT UINT32 XFcInetAddress::inetAddress | ( | const CHAR8 * | cp | ) | `[static]`

| Returns an inet address from a given string, e.g. "127.0.0.1".

INT XFcInetAddress::init | ( | const XFcAddress & | aAddress | ) | `[protected]`

| Copy initializer.

INT XFcInetAddress::init | ( |  | ) | `[protected]`

| Initializes object.

virtual XFCIMPORT INT XFcInetAddress::isSame | ( | const XFcAddress & | aAddress | ) | const`[virtual]`

  | Test if address is same. Tests only address part of given address port is not tested. Parameters:
  aAddress | is address to test against.
Returns: 1 if it is else 0. Implements XFcAddress.

XFCIMPORT INT XFcInetAddress::isSame | ( | const XFcInetAddress & | aAddrf,
|  | const XFcInetAddress & | aAddrs
| ) | `[static]`

  | Tests addresses for equality. Parameters:
  aAddrf | first inet address to test.
  aAddrs | second inet address to test.
Returns: 1 if address objects are identical, or 0 otherwise.

virtual XFCIMPORT void XFcInetAddress::setAddress | ( | void * | aAddress,
|  | INT32 | aLen
| ) | `[virtual]`

| Inherited from XFcAddress. Implements XFcAddress.

XFCIMPORT void XFcInetAddress::setHost | ( | UINT32 | aRemote | ) |

  | Sets remote host address by ip in network byte order. Parameters:
  aRemote | host ip given in network byte order.

XFCIMPORT void XFcInetAddress::setHost | ( | const CHAR8 * | aRemote | ) |

  | Gets remote host name. Parameters:
  aRemote | remote address as string, e.g. "127.0.0.1". String must be null terminated.

XFCIMPORT void XFcInetAddress::setPort | ( | UINT16 | aPort | ) |

  | Sets port. Parameters:
  aPort | port number, e.g. 20.
Note: Network byte ordering is done by XFcInetAddress.

## Member Data Documentation

void* XFcInetAddress::mAddress`[protected]`

| Inet address.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch